<?php
/**
 * Loop - Checkout Now.
 *
 * @package Perfect Checkout\Templates
 * @version 1.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

$type = $product->get_type();

// If product is not simple then return nothing!
if (
	'simple' !== $type &&
	'subscription' !== $type
) {
	return;
}

if ( ! $product->is_purchasable() ) {
	return;
}

if ( $product->is_in_stock() ) : ?>

	<a class="checkout-button button alt" href="<?php echo add_query_arg( 'pc-buy-now', $product->get_id(), site_url() ); ?>"><?php echo esc_html__( 'Checkout Now', 'perfect-checkout' ); ?></a>

<?php endif; ?>
